TCFMGR(1)

NAME
tcfmgr - the command line utility of the fixed-length database API

DESCRIPTION

The command `tcfmgr' is a utility for test and debugging of the fixed-length database API and its applications. `path' specifies the path of a database file. `width' specifies the width of the value of each record. `limsiz' specifies the limit size of the database file. `key' specifies the key of a record. `value' specifies the value of a record. `file' specifies the input file.

    tcfmgr create path [width [limsiz]]
        Create a database file.
    tcfmgr inform [-nl|-nb] path
        Print miscellaneous information to the standard output.
    tcfmgr put [-nl|-nb] [-sx] [-dk|-dc|-dai|-dad] path key value
        Store a record.
    tcfmgr out [-nl|-nb] [-sx] path key
        Remove a record.
    tcfmgr get [-nl|-nb] [-sx] [-px] [-pz] path key
        Print the value of a record.
    tcfmgr list [-nl|-nb] [-m num] [-pv] [-px] [-rb lkey ukey] [-ri str] path
        Print keys of all records, separated by line feeds.
    tcfmgr optimize [-nl|-nb] path [width [limsiz]]
        Optimize a database file.
    tcfmgr importtsv [-nl|-nb] [-sc] path [file]
        Store records of TSV in each line of a file.
    tcfmgr version
        Print the version information of Tokyo Cabinet.

Options feature the following.

    -nl : enable the option `FDBNOLCK'.
    -nb : enable the option `FDBLCKNB'.
    -sx : the input data is evaluated as a hexadecimal data string.
    -dk : use the function `tcfdbputkeep' instead of `tcfdbput'.
    -dc : use the function `tcfdbputcat' instead of `tcfdbput'.
    -dai : use the function `tcfdbaddint' instead of `tcfdbput'.
    -dad : use the function `tcfdbadddouble' instead of `tcfdbput'.
    -px : the output data is converted into a hexadecimal data string.
    -pz : do not append line feed at the end of the output.
    -m num : specify the maximum number of the output.
    -pv : print values of records also.
    -rb lkey ukey : specify the range of keys.
    -ri str : specify the interval notation of keys.
    -sc : normalize keys as lower cases.

This command returns 0 on success, another on failure.

SEE ALSO

tcftest(1), tcfmttest(1), tcfdb(3), tokyocabinet(3)